"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.En_To_Fa = exports.Fa_To_En = void 0;
/**
 * This Function get a Persian @number and change it to English @number and return it.
 * @param number @type @string
 * @returns string
 */
const Fa_To_En = (number) => {
    const res = number.replace(/[۰-۹]/g, (d) => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d).toString());
    return res;
};
exports.Fa_To_En = Fa_To_En;
/**
 * This Function get a English @number and change it to Persian @number and return it.
 * @param number @type @string
 * @returns string
 */
const En_To_Fa = (number) => {
    const res = number === null || number === void 0 ? void 0 : number.replace(/\d/g, ((d) => '۰۱۲۳۴۵۶۷۸۹'[d]).toString());
    return res;
};
exports.En_To_Fa = En_To_Fa;
