"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckPersianPhone = void 0;
const _parser_1 = require("@parser");
/**
 * This function get a persian @number and check it if valid or not and return @boolean
 * @param number
 * @returns boolean
 */
const CheckPersianPhone = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?9\d{9}$/;
    const res = numberRegex.test((0, _parser_1.Fa_To_En)(number));
    return res;
};
exports.CheckPersianPhone = CheckPersianPhone;
